Page MenuHomePhabricator

Service-Oriented Architecture, quo vadis?
Closed, ResolvedPublic

Description

While we discussed moving to a Service-Oriented Architecture before at the dev summit in January 2014, we didn't come to a full agreement then. We have since cautiously moved in this direction, but recent discussions show that many of the same questions are still open.

The developer summit 2016 is a good opportunity to revisit these questions, and reflect on the experiences we have gained since. Moving to SOA touches many areas, including the distribution strategy for third-party users (ex: T87774, T113210), our API and content strategy. Because it touches so many areas, it is important to get more clarity on what moving to SOA means to us, and where we stand on this now.

See also:

Event Timeline

GWicke updated the task description. (Show Details)
GWicke raised the priority of this task from to Needs Triage.
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 6 2015, 8:51 PM
GWicke updated the task description. (Show Details)Oct 6 2015, 9:15 PM
GWicke set Security to None.
GWicke updated the task description. (Show Details)Oct 6 2015, 9:18 PM
GWicke edited subscribers, added: tstarling, RobLa, Qgil and 7 others; removed: Aklapper.
GWicke added subscribers: cscott, Eevans, mobrovac and 2 others.
GWicke renamed this task from Service-Oriented Architecture to Service-Oriented Architecture, quo vadis?.Oct 6 2015, 9:21 PM
GWicke moved this task from Inbox to Under discussion on the TechCom-RFC board.Oct 7 2015, 8:27 PM

GWicke added a project: Wikimedia-Developer-Summit-2016.

Note that the deadline to propose WikiDev16 sessions was on Oct 2nd.

Indeed. I'm sorry, but we are applying the deadline for everybody.

GWicke added a comment.EditedOct 16 2015, 6:27 PM

@Qgil, @Aklapper: @RobLa indicated that he didn't intend the deadline to be a hard cut-off. I think our priority should be to make the developer summit as successful as possible, and I think this includes considering whether all important topics are covered, and how to best combine / frame sessions where multiple related proposals exist.

Based on the amount of ongoing discussion and lack of clarity around our commitment to SOA I think it's important to get more clarity on it during the summit. That said, it looks like T113210 is becoming more general now with the recent re-focus. If this ends up covering enough of the general SOA question, then it could get us most of the way there.

We are defining this process as we go... Let's say that if the Architecture Committee is convinced that a late proposal needs to be kept in the loop, then it should be kept in the loop. In this case we are talking about an unsolved topic from the previous Summit(s).

Qgil added a comment.Oct 28 2015, 10:36 AM

This task is still missing clear Summit goals, topics that could be discussed here before, and active discussion. It would be good to sort out these problems before the next deadline on November 6.

Today is November 6, and this proposal is basically in the same situation. Unless the situation suddenly changes and/or @RobLa-WMF and the Architecture Committee really want to schedule it, it will be removed as a Wikimedia-Developer-Summit-2016 proposal.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 6 2015, 10:44 AM
Qgil added a comment.Nov 18 2015, 12:53 PM

This proposal is strongly supported by the Architecture Committee. @GWicke, please edit the description and start the discussion online, in order to follow the common process. Thank you.

By chance I was just going to create a similar task named "unveil Gabriel Wicke's covert plans for world domination" XD

Wikimedia Developer Summit 2016 ended two weeks ago. This task is still open. If the session in this task took place, please make sure 1) that the session Etherpad notes are linked from this task, 2) that followup tasks for any actions identified have been created and linked from this task, 3) to change the status of this task to "resolved". If this session did not take place, change the task status to "declined". If this task itself has become a well-defined action which is not finished yet, drag and drop this task into the "Work continues after Summit" column on the project workboard. Thank you for your help!